open Mo
open List
exception ParseError

let rec calc = function
  Node("+",ts) -> fold_left (fun a t -> a + calc t) 0 ts
| Node("*",ts) -> fold_left (fun a t -> a * calc t) 1 ts
| Node(x,[]) -> int_of_string x 
| _ -> raise ParseError

let t = term_from_stdin ()
let _ = print_string "Ergebnis: "
let _ = print_int (calc t)
let _ = print_string "\n"
